Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### imageMode()

Examples

    PImage b;
    b = loadImage("laDefense_crop.jpg");
    imageMode(CORNERS);
    image(b, 10, 10, 60, 60);
    imageMode(CORNER);
    image(b, 35, 35, 50, 50);

Description

Modifies the location from which images draw. The default mode is imageMode(CORNER), which specifies the location to be the upper left corner and uses the fourth and fifth parameters of image() to set the image's width and height. The syntax imageMode(CORNERS) uses the second and third parameters of image() to set the location of one corner of the image and uses the fourth and fifth parameters to set the opposite corner. The parameter to imageMode() must be written in "ALL CAPS" because Processing is a case sensitive language.

Syntax

    imageMode(MODE)

Parameters

MODE | Either CORNER or CORNERS

Usage | Web & Application
Related | loadImage() PImage image() imageMode() background()

Updated on February 09, 2008 04:38:52pm PST